<?php 
require_once "../modelos/Movimientoinventario.php";
if (strlen(session_id())<1) 
	session_start();

$movimientoinventario 		= new Movimientoinventario();

$idmovimientoinventario		=isset($_POST["idmovimientoinventario"])? limpiarCadena($_POST["idmovimientoinventario"]):"";
$idusuario								=$_SESSION["idusuario"];
$idalmacensalida					=isset($_POST["idalmacensalida"])? limpiarCadena($_POST["idalmacensalida"]):"";
$idalmacenentrada					=isset($_POST["idalmacenentrada"])? limpiarCadena($_POST["idalmacenentrada"]):"";
$nromovimientoinventario	=isset($_POST["nromovimientoinventario"])? limpiarCadena($_POST["nromovimientoinventario"]):"";
$fecha_hora								=isset($_POST["fecha_hora"])? limpiarCadena($_POST["fecha_hora"]):"";
$total_venta							=isset($_POST["total_venta"])? limpiarCadena($_POST["total_venta"]):"";
$total_entrada						=isset($_POST["total_entrada"])? limpiarCadena($_POST["total_entrada"]):"";
$total_salida							=isset($_POST["total_salida"])? limpiarCadena($_POST["total_salida"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idmovimientoinventario)) {
			$rspta=$movimientoinventario->insertarm($idusuario,$idalmacensalida,$idalmacenentrada,$nromovimientoinventario,$fecha_hora,$total_salida,$total_entrada,
			$_POST["idarticulo"],$_POST["cantidad"],$_POST["idarticulo1"],$_POST["cantidad1"],$_POST["factorc"]); 
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			
		}
	break;

	case 'guardaryeditarindividual':
		if (empty($idmovimientoinventario)) {
			$rspta=$movimientoinventario->insertarindividual($idusuario,$idalmacensalida,$idalmacenentrada,$nromovimientoinventario,$fecha_hora,$total_salida,$total_entrada,
			$_POST["idarticulo"],$_POST["cantidad"],$_POST["idarticulo1"],$_POST["cantidad1"],$_POST["factorc"]); 
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			
		}
	break;
	

	case 'anular':
		$rspta=$movimientoinventario->anular($idmovimientoinventario);
		echo $rspta ? "Ingreso anulado correctamente" : "No se pudo anular el ingreso";
	break;

	case 'eliminararticulodecafeteriabd':
		$rspta=$movimientoinventario->eliminararticulodecafeteriabd($iddetallec,$idpedidoc,$idarticuloc);
		echo $rspta ? "1" : "0";
	break;
	
	case 'mostrar':
		$rspta=$movimientoinventario->mostrar($idmovimientoinventario);
		echo json_encode($rspta);
	break;

	case 'listarDetalle':
		//recibimos el idmovimientoinventario
		$id=$_GET['id'];

		$rspta=$movimientoinventario->listarDetalle($id);
		$total=0;
		echo ' <thead style="background-color:#A9D0F5">
        <th>Opciones</th>
        <th>Articulo</th>
        <th>Stock</th>
        <th>Cantidad</th>
        <th>Estado</th>
        <th>Subtotal</th>
       </thead>';
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas">
			<td></td>
			<td>'.$reg->nombre.'</td>
			<td style="text-align:right">'.$reg->stock.'</td>
			<td style="text-align:right">'.number_format($reg->cantidad,0,',','.').'</td>
			<td style="text-align:center">'.$reg->estado.'</td>
			<td style="text-align:right">'.number_format($reg->cantidad,0,',','.').'</td></tr>';
			$total=$total+$reg->cantidad;
		}
		echo '<tfoot>
         <th>TOTAL</th>
         <th></th>
         <th></th>
         <th></th>
         <th></th>
         <th style="text-align:right"><h4 id="total"> '.number_format($total,0,',','.').'</h4><input type="hidden" name="total_venta" id="total_venta"></th>
       </tfoot>';
	break;

	

	

	

	case 'buscarNroMovimiento':
		$rspta=$movimientoinventario->buscarNroMovimiento();
		echo json_encode($rspta);
	break;

	case 'listar':
		/* 
		SELECT m.idmovimientoinventario,fecha,u.idusuario,usuario, m.idalmace_entrada,entrada, m.idalmacen_salida,salida, 
		m.cantidad,m.nromovimiento, m.estado

		<th>Opciones</th>
                    <th>Fecha</th>
                    <th>AlmacenSalida</th>
                    <th>AlmacenEntrada</th>
                    <th>Número</th>
                    <th>Cantidad</th>
                    <th>Estado</th>
		*/
		$rspta=$movimientoinventario->listar();
		$data=Array();
		$url='reportes/movimientodeinventario.php?id=';
		while ($reg=$rspta->fetch_object()) {
            $data[]=array(
			"0"=>(($reg->estado!='Anulado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idmovimientoinventario.')"><i class="fa fa-eye"></i></button>'
			/* .' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idmovimientoinventario.')"><i class="fas fa-times"></i></button>' */
			.' '.'<a target="_blank" href="'.$url.$reg->idmovimientoinventario.'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>'
			:'
			<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idmovimientoinventario.')">
			<i class="fa fa-eye"></i></button>'),
            "1"=>$reg->fecha,
            "2"=>$reg->salida,
            "3"=>$reg->entrada,
            "4"=>$reg->nromovimiento,
            "5"=>$reg->cantidad,
            "6"=>($reg->estado!='Anulado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;


	case 'listarArticulosa':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarActivosBodegart();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarArticulosb':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarActivosBodegartCafetin();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\','.$reg->stock.')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
	
	//Factory

	case 'listarfactory':
		/* 
		SELECT m.idmovimientoinventario,fecha,u.idusuario,usuario, m.idalmace_entrada,entrada, m.idalmacen_salida,salida, 
		m.cantidad,m.nromovimiento, m.estado

		<th>Opciones</th>
                    <th>Fecha</th>
                    <th>AlmacenSalida</th>
                    <th>AlmacenEntrada</th>
                    <th>Número</th>
                    <th>Cantidad</th>
                    <th>Estado</th>
		*/
		$rspta=$movimientoinventario->listarfactory();
		$data=Array();
		//$url='reportes/movimientodeinventario.php?id=';
		$url='reportes/Movimientoinventariofactory.php?id=';
		
		while ($reg=$rspta->fetch_object()) {
            $data[]=array(
			"0"=>(($reg->estado!='Anulado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idmovimientoinventario.')"><i class="fa fa-eye"></i></button>'
			/* .' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idmovimientoinventario.')"><i class="fas fa-times"></i></button>' */
			.' '.'<a target="_blank" href="'.$url.$reg->idmovimientoinventario.'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>'
			:'
			<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idmovimientoinventario.')">
			<i class="fa fa-eye"></i></button>'),
            "1"=>'<div style="text-align:center">'.$reg->fecha.'</div>',
			"2"=>'<div style="text-align:center">'.$reg->nromovimiento.'</div>',
            "3"=>'<div style="text-align:center">'.$reg->salida.'</div>',
            "4"=>'<div style="text-align:center">'.$reg->entrada.'</div>',
			"5"=>'<div style="text-align:center">'.$reg->cantidads.'</div>',
            "6"=>'<div style="text-align:center">'.$reg->cantidade.'</div>',
            "7"=>($reg->estado!='Anulado')?'<div style="text-align:center"><span class="badge bg-green">Aceptado</span></div>':'<div style="text-align:center"><span class="badge bg-red">Anulado</span></div>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'buscarNroMovimientofactory':
		$rspta=$movimientoinventario->buscarNroMovimientofactory();
		echo json_encode($rspta);
	break;

	
	case 'guardaryeditarf':
		if (empty($idmovimientoinventario)) {
			$rspta=$movimientoinventario->insertarf($idusuario,$idalmacensalida,$idalmacenentrada,$nromovimientoinventario,$fecha_hora,$total_salida,$total_entrada,
			$_POST["idarticulo"],$_POST["cantidadsb"],$_POST["idarticulo11"],$_POST["cantidade"],$_POST["factorc"],$_POST["numerolote"],$_POST["idlote"]); 
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			
		}
	break;

	
}
 ?>